## Package Win32::GUI::ComboboxEx

Back to the Packages

- Constructor

  - new Win32::GUI::ComboboxEx(PARENT, %OPTIONS)

- Methods

  - InsertItem(%OPTIONS)

- Events

  - Change()

  - GotFocus()

  - LostFocus()

### Constructor

new Win32::GUI::ComboboxEx(PARENT, %OPTIONS)

  Creates a new ComboboxEx object; can also be called as PARENT->AddComboboxEx(%OPTIONS). Class specific `%OPTIONS` are:

        -imagelist => Win32::GUI::ImageList object

  Except for images, a ComboboxEx object acts like a Win32::GUI::Combobox object. See also new Win32::GUI::Combobox().

### Methods

InsertItem(%OPTIONS)

  Inserts a new item in the ComboboxEx control. Returns the newly created item zero-based index or -1 on errors. `%OPTIONS` can be:

        -index => position (-1 for the end of the list)
        -image => index of an image from the associated ImageList
        -selectedimage => index of an image from the associated ImageList
        -text => string
        -indent => indentation spaces (1 space == 10 pixels)

### Events

Change()

  Sent when the user selects an item from the Combobox

GotFocus()

  Sent when the control is activated.

LostFocus()

  Sent when the control is deactivated.